# BaseScalaCompileOptions

abstract class BaseScalaCompileOptions : Serializable

Options for Scala platform compilation.

#### Inheritors

ScalaCompileOptions

## Constructors

BaseScalaCompileOptions
Link copied to clipboard
constructor()

## Properties

additionalParameters
Link copied to clipboard
@get:Optional
@get:Input
var additionalParameters: List<String>
debugLevel
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var debugLevel: String
encoding
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var encoding: String
forkOptions
Link copied to clipboard
open val forkOptions: ScalaForkOptions
incrementalOptions
Link copied to clipboard
open val incrementalOptions: IncrementalCompileOptions
keepAliveMode
Link copied to clipboard
@get:Incubating
@get:Input
val keepAliveMode: Property<KeepAliveMode>
loggingLevel
Link copied to clipboard
@get:Console
open var loggingLevel: String
loggingPhases
Link copied to clipboard
@get:Console
open var loggingPhases: List<String>

## Functions

forkOptions
Link copied to clipboard
open fun forkOptions(action: Action<in ScalaForkOptions>)
Configure options for running the Scala compiler in a separate process.
incrementalOptions
Link copied to clipboard
open fun incrementalOptions(action: Action<in IncrementalCompileOptions>)
Configure options for incremental compilation of Scala code.
isDeprecation
Link copied to clipboard
@Console
open fun isDeprecation(): Boolean
Generate deprecation information.
isFailOnError
Link copied to clipboard
@Input
open fun isFailOnError(): Boolean
Fail the build on compilation errors.
isForce
Link copied to clipboard
@Input
open fun isForce(): Boolean
Whether to force the compilation of all files.
isListFiles
Link copied to clipboard
@Console
open fun isListFiles(): Boolean
List files to be compiled.
isOptimize
Link copied to clipboard
@Input
open fun isOptimize(): Boolean
Run optimizations.
isUnchecked
Link copied to clipboard
@Console
open fun isUnchecked(): Boolean
Generate unchecked information.
setDeprecation
Link copied to clipboard
open fun setDeprecation(deprecation: Boolean)
setFailOnError
Link copied to clipboard
open fun setFailOnError(failOnError: Boolean)
setForce
Link copied to clipboard
open fun setForce(force: Boolean)
setListFiles
Link copied to clipboard
open fun setListFiles(listFiles: Boolean)
setOptimize
Link copied to clipboard
open fun setOptimize(optimize: Boolean)
setUnchecked
Link copied to clipboard
open fun setUnchecked(unchecked: Boolean)